Passer au contenu principal
GET
/
cms
/
v3
/
blogs
/
posts
/
{objectId}
/
revisions
/
{revisionId}
Retrieve a previous version of a blog post
curl --request GET \
  --url https://api.hubapi.com/cms/v3/blogs/posts/{objectId}/revisions/{revisionId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "object": {
    "abStatus": "automated_loser_variant",
    "abTestId": "<string>",
    "archivedAt": 123,
    "archivedInDashboard": true,
    "attachedStylesheets": [
      {}
    ],
    "authorName": "<string>",
    "blogAuthorId": "<string>",
    "campaign": "<string>",
    "categoryId": 123,
    "contentGroupId": "<string>",
    "contentTypeCategory": "0",
    "created": "2023-11-07T05:31:56Z",
    "createdById": "<string>",
    "currentState": "AGENT_GENERATED",
    "currentlyPublished": true,
    "domain": "<string>",
    "dynamicPageDataSourceId": "<string>",
    "dynamicPageDataSourceType": 123,
    "dynamicPageHubDbTableId": "<string>",
    "enableDomainStylesheets": true,
    "enableGoogleAmpOutputOverride": true,
    "enableLayoutStylesheets": true,
    "featuredImage": "<string>",
    "featuredImageAltText": "<string>",
    "folderId": "<string>",
    "footerHtml": "<string>",
    "headHtml": "<string>",
    "htmlTitle": "<string>",
    "id": "<string>",
    "includeDefaultCustomCss": true,
    "language": "aa",
    "layoutSections": {},
    "linkRelCanonicalUrl": "<string>",
    "mabExperimentId": "<string>",
    "metaDescription": "<string>",
    "name": "<string>",
    "pageExpiryDate": 123,
    "pageExpiryEnabled": true,
    "pageExpiryRedirectId": 123,
    "pageExpiryRedirectUrl": "<string>",
    "password": "<string>",
    "postBody": "<string>",
    "postSummary": "<string>",
    "publicAccessRules": [
      {}
    ],
    "publicAccessRulesEnabled": true,
    "publishDate": "2023-11-07T05:31:56Z",
    "publishImmediately": true,
    "rssBody": "<string>",
    "rssSummary": "<string>",
    "slug": "<string>",
    "state": "<string>",
    "tagIds": [
      123
    ],
    "themeSettingsValues": {},
    "translatedFromId": "<string>",
    "translations": {},
    "updated": "2023-11-07T05:31:56Z",
    "updatedById": "<string>",
    "url": "<string>",
    "useFeaturedImage": true,
    "widgetContainers": {},
    "widgets": {}
  },
  "updatedAt": "2023-11-07T05:31:56Z",
  "user": {
    "email": "<string>",
    "fullName": "<string>",
    "id": "<string>"
  }
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

objectId
string
requis
revisionId
string
requis

Réponse

successful operation

id
string
requis
object
object
requis

Model definition for a Blog Post.

updatedAt
string<date-time>
requis
user
object
requis

Model definition for a version user. Contains addition information about the user who created a version.

Last modified on April 2, 2026